##
##   Copyright (C) 2006 Mario Theodoridis, mario@schmut.com
##
##   This "Original Work" is free; you can modify it under the terms of the
##   AFL Academic Free License. This "Original Work" is distributed in the
##   hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
##   implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
##   See the AFL Academic Free License for more details. You should find a
##   copy of the AFL Academic Free License in the highest level directory of
##   this distribution; if not, you may obtain one at the Open Source
##   Initiative, http://www.opensource.org.
##

from distutils.core import setup

setup(name='xmltreewalker',
      description='A package to proccess XML Documents',
      long_description='''
      XmlTreeWalker works in conjunction with expat. It can be used for 
      filtering and content modification of XML documents by employing various
      Operators and having them activate based on specified Filter rules.
      
      Uses include content extraction, suppression and rewriting.
      ''',
      author='Mario Theodoridis',
      author_email='mario@schmut.com',
      url='http://www.schmut.com/',
      download_url='http://www.schmut.com/xmltreewalker-0.1.tar.gz',
      version='0.1',
      license='AFL',
      packages=['xmltreewalker', 'xmltreewalker.tests'],
      package_data={'xmltreewalker.tests': ['input/img*/*', 'input/test*', 
                                            'output/*']},
      platforms='POSIX',
      classifiers=['Development Status :: 4 - Beta',
                   'Environment :: Other Environment',
                   'Intended Audience :: Developers',
                   'License :: OSI Approved :: Academic Free License (AFL)',
                   'Natural Language :: English',
                   'Operating System :: POSIX',
                   'Programming Language :: Python',
                   'Topic :: Software Development :: Libraries :: Python Modules',
                   'Topic :: Text Processing :: Filters',
                   'Topic :: Text Processing :: General',
                   'Topic :: Text Processing :: Markup :: XML'],

  ) 
