##
##   Copyright (C) 2006 Mario Theodoridis, mario@schmut.com
##
##   This "Original Work" is free; you can modify it under the terms of the
##   AFL Academic Free License. This "Original Work" is distributed in the
##   hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
##   implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
##   See the AFL Academic Free License for more details. You should find a
##   copy of the AFL Academic Free License in the highest level directory of
##   this distribution; if not, you may obtain one at the Open Source
##   Initiative, http://www.opensource.org.
##

from xmltreewalker.tag import Tag


class TagRequirement:
    '''
    
    '''

    def __init__(self, name = None, attrMap = {}):
        self.name = name
        self.attrs = attrMap


    def matches(self, tag):
        if self.name is not None and self.name != tag.name: return False
        for key, val in self.attrs.iteritems():
            tVal = tag.getAttribute(key)
            if tVal is None: return False
            if val is not None and val != tVal: return False
        return True

    def __repr__(self):
        return '%s %s' % (self.name, repr(self.attrs))



if __name__ == '__main__':
    tag1 = Tag('test1')
    tag2 = Tag('test2', {'prop1' : '', 'prop2' : 'val2'})
    req1 = TagRequirement()
    req2 = TagRequirement('test1')
    req3 = TagRequirement(None, {'prop2':None})
    print 'req[%s] matches tag[%s] = True  > %s' % (req1, tag1, req1.matches(tag1))
    print 'req[%s] matches tag[%s] = True  > %s' % (req2, tag1, req2.matches(tag1))
    print 'req[%s] matches tag[%s] = False > %s' % (req3, tag1, req3.matches(tag1))
    print 'req[%s] matches tag[%s] = True  > %s' % (req1, tag2, req1.matches(tag2))
    print 'req[%s] matches tag[%s] = False > %s' % (req2, tag2, req2.matches(tag2))
    print 'req[%s] matches tag[%s] = True  > %s' % (req3, tag2, req3.matches(tag2))
